org.apache.flume

## Class CounterGroup

- java.lang.Object
- - org.apache.flume.CounterGroup

-     public class CounterGroup
      extends Object

  Used for counting events, collecting metrics, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CounterGroup counterGroup)`
    `Long` | `addAndGet(String name, Long delta)`
    `Long` | `get(String name)`
    `AtomicLong` | `getCounter(String name)`
    `HashMap<String,AtomicLong>` | `getCounters()`
    `String` | `getName()`
    `Long` | `incrementAndGet(String name)`
    `void` | `set(String name, Long value)`
    `void` | `setCounters(HashMap<String,AtomicLong> counters)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterGroup

          public CounterGroup()

  - ### Method Detail

    - #### get

          public Long get(String name)

    - #### incrementAndGet

          public Long incrementAndGet(String name)

    - #### addAndGet

          public Long addAndGet(String name,
                       Long delta)

    - #### add

          public void add(CounterGroup counterGroup)

    - #### set

          public void set(String name,
                 Long value)

    - #### getCounter

          public AtomicLong getCounter(String name)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getCounters

          public HashMap<String,AtomicLong> getCounters()

    - #### setCounters

          public void setCounters(HashMap<String,AtomicLong> counters)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.